/* IMPORT */
import U8 from 'uint8-encoding';
import { DEC2HEX, HEX2DEC } from './constants.js';
import is from './is.js';
/* MAIN */
const Browser = {
    /* API */
    encode: (data) => {
        let hex = '';
        for (let i = 0, l = data.length; i < l; i++) {
            hex += DEC2HEX[data[i]];
        }
        return hex;
    },
    encodeStr: (data) => {
        return Browser.encode(U8.encode(data));
    },
    decode: (data) => {
        const length = data.length / 2;
        const u8 = new Uint8Array(length);
        for (let i = 0; i < length; i++) {
            u8[i] = HEX2DEC[data.slice(i * 2, (i * 2) + 2)];
        }
        return u8;
    },
    decodeStr: (data) => {
        return U8.decode(Browser.decode(data));
    },
    is
};
/* EXPORT */
export default Browser;
